import pandas as pd

excel_file = 'factory_power1.xlsx'
sheet_name = 'Sheet1'

df = pd.read_excel(excel_file, sheet_name=sheet_name)

start_date = '2023-01-01'
df_power = pd.read_excel(excel_file, 
                         header=None, 
                         names=['FactoryPower'], 
                         dtype={'FactoryPower': float})
times = pd.date_range(start=start_date, periods=len(df_power), freq='15min')
df_power['Time'] = times
df_power = df_power[['Time', 'FactoryPower']]
df_power.to_csv('factory_power1.csv', index=True)